using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FaenkoStudents
{
    public partial class Form4 : Form
    {
        public Form4()
        {
            InitializeComponent();
        }

        private void fillToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
                this.отоброжение_студентов_по_ФИОTableAdapter.Fill(this.badretdinovStudentsDataSet.Отоброжение_студентов_по_ФИО, fIOToolStripTextBox.Text);
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form1 t = new Form1();
            t.Show();
            this.Hide();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            отоброжение_студентов_по_ФИОBindingSource.MoveFirst();
        }

        private void отоброжение_студентов_по_ФИОBindingSource_CurrentChanged(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            отоброжение_студентов_по_ФИОBindingSource.MovePrevious();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            отоброжение_студентов_по_ФИОBindingSource.AddNew();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            отоброжение_студентов_по_ФИОBindingSource.MoveLast();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            отоброжение_студентов_по_ФИОBindingSource.MoveNext();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            отоброжение_студентов_по_ФИОBindingSource.RemoveCurrent();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.отоброжение_студентов_по_ФИОBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.badretdinovStudentsDataSet);
        }

        private void Form4_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "badretdinovStudentsDataSet.Специальности". При необходимости она может быть перемещена или удалена.
            this.специальностиTableAdapter.Fill(this.badretdinovStudentsDataSet.Специальности);

        }

        private void button9_Click(object sender, EventArgs e)
        {
            Form6 hah = new Form6();
            hah.Show();
            this.Hide();

        }
    }
}
